Subject: Re: <Ctrl-C> interrupt failure after upgrading 1.3.6-6 to 1.3.7-1
From: "fergus at bonhard dot uklinux dot net" <[email-masked]>
To: <[email-masked]>
Cc: "UKLinux" <[email-masked]>
Date: Sun, 20 Jan 2002 23:39:01 -0000

>  ls -lR seems to terminate just fine with CTRL-C.

Yes, <ctrl-c> worked for me too in this case.

>  'cygcheck -r -s -v' might help track this down.

Thanks for this suggestion. I tried 'cygcheck -r -s -v' under each regime.
The resulting screeds are very similar (and very long) and wonder whether
you would at least take a look at the difference between them. (It looks
utterly unexceptionable to me. But I don't know what to look for.) As
follows:

< Cygnus Win95/NT Configuration Diagnostics
< Current System Time: Sun Jan 20 23:06:54 2002
---
> Cygwin Win95/NT Configuration Diagnostics
> Current System Time: Sun Jan 20 23:08:17 2002

<   720k 2001/12/08 C:\Cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
<                   "cygwin1.dll" v0.0 ts=2001/12/8 22:02
---
>   751k 2002/01/19 C:\Cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygwin1.dll" v0.0 ts=2002/1/19 18:20

<         DLL version: 1.3.6
---
>         DLL version: 1.3.7

<         API minor: 47
---
>         API minor: 51

<         Build date: Sat Dec 8 17:02:30 EST 2001
<         CVS tag: cygwin-1-3-6-6
---
>         Build date: Sat Jan 19 13:20:32 EST 2002

< Last downloaded files to: pÙt
< Last downloaded files from: Ð^F?I
---
> Last downloaded files to: pÙs
> Last downloaded files from: Ð^F?

< cygwin              1.3.6-6
---
> cygwin              1.3.7-1

By the way, I also tried using the editor nano.exe. No problems under
1.3.6-6. It doesn't work at all under 1.3.7-1, giving an error box as
follows:

    The nano.exe file is linked to missing export CYGWIN1.DLL:regfree

Whereas: CYGWIN1.DLL (actually cygwin1.dll) is exactly where it should be.

Apols for airing the detail of this glitch: boring for the rest of you I'm
sure.

Fergus

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/